Subject: Re: [GSoC][Proposal RFC] Consolidate ref-related functionality into git-refs

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 4 Apr 2025 13:48:21 +0200

On Fri, Apr 04, 2025 at 04:46:58AM -0700, Karthik Nayak wrote:
> Meet Soni <[email-masked]> writes:
> 
> [snip]
> 
> > Command mapping and naming:
> > ---------------------------
> >
> > I have taken reference for potential names for these subcommands from Patrick’s
> > suggestion (https://gitlab.com/gitlab-org/git/-/issues/330):
> >
> >   # Replaces git-show-ref(1) and git-for-each-ref(1).
> >   $ git refs list
> >
> >   # Replaces `git show-ref --exists`.
> >   $ git refs exist
> >
> >   # Replaces `git show-ref --verify <ref>`.
> >   $ git refs show
> >
> >   # Replaces git-symbolic-ref(1) to show a ref.
> >   $ git refs resolve
> >
> >   # Replaces git-pack-ref(1).
> >   $ git refs pack
> >
> >   # Replaces git-update-ref(1).
> >   $ git refs write
> >
> >   # Replaces git-check-ref-format(1).
> >   $ git refs check-format
> >
> 
> One other command that I noticed, which we didn't talk about it 'git
> reflog'. I would think, it would be nice to also fit this as 'git refs
> logs', but it doesn't have to be part of GSoC.

Wouldn't that become awkward though as you now basically have
subsubcommands? `git refs log expire`, `git refs log exists` and
related.

Patrick